Subject: bug#18547: closed (Re: bug#18547: repeated C-s doesn't wrap back to the top if file is .gz)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Sep 2014 20:58:02 +0000

Your bug report

#18547: repeated C-s doesn't wrap back to the top if file is .gz

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18547: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18547
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18547: repeated C-s doesn't wrap back to the top if file is .gz
From: Juri Linkov <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked],積丹尼 Dan Jacobson <[email-masked]>
Date: Thu, 25 Sep 2014 23:57:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> (I'm not sure whether it should go into emacs-24 or trunk):
>
> I don't think it's urgent, so: trunk.

Actually there were two cases: when `wrap' is non-nil then a new buffer
"ChangeLog" should not be created (fixes the reported problem).
When `wrap' is nil, then `file-exists-p' will raise a signal
(as `find-file-noselect' did before this patch) that is handled
by `multi-isearch-search-fun' to display the "end of multi" message.
The same patch installed to trunk will handle both cases.

Subject: repeated C-s doesn't wrap back to the top if file is .gz
From: 積丹尼 Dan Jacobson <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Thu, 25 Sep 2014 01:09:01 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

$ emacs -q directory_that_contains_a_.gz_file
v on that file. (view mode)
C-s some_string, C-s C-s C-s C-s C-s ... but then instead of wrapping
around back to the top, we get
File not found and directory write-protected

By the way, it happened on a changelog.gz
file, and the prompt was "Multi I-Search" whatever that means.

Debian emacs 24.3+1-5
emacs-version "24.3.1"